vich_uploader:
    db_driver: orm
    mappings:
        avatar:
            uri_prefix: /storage/avatar
            upload_destination: '%kernel.project_dir%/public/storage/avatar'
            namer: App\VichUploader\Namer\Account\AvatarName # Replaced namer
            directory_namer: App\VichUploader\DirectoryNamer\Account\AvatarName
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        members:
            uri_prefix: /storage/members
            upload_destination: '%kernel.project_dir%/public/storage/members'
            namer: App\VichUploader\Namer\Account\AvatarName # Replaced namer
            directory_namer: App\VichUploader\DirectoryNamer\Account\AvatarName
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        members_page_avatar:
            uri_prefix: /storage/members_page_avatar
            upload_destination: '%kernel.project_dir%/public/storage/members_page_avatar'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        members_pagsiteconseil:
            uri_prefix: /storage/members_page_avatar
            upload_destination: '%kernel.project_dir%/public/storage/members_page_avatar'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        members_pagsiteconseil_details:
            uri_prefix: /storage/members_pagsiteconseil_details
            upload_destination: '%kernel.project_dir%/public/storage/members_pagsiteconseil_details'
            namer: Vich\UploaderBundle\Naming\UniqidNamer
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        ag:
            uri_prefix: /storage/ag
            upload_destination: '%kernel.project_dir%/public/storage/ag'
            namer: Vich\UploaderBundle\Naming\UniqidNamer # Replaced namer
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        ag_adh:
            uri_prefix: /storage/ag_adh
            upload_destination: '%kernel.project_dir%/public/storage/ag_adh'
            namer: Vich\UploaderBundle\Naming\UniqidNamer # Replaced namer
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        product:
            uri_prefix: /storage/product
            upload_destination: '%kernel.project_dir%/public/storage/product'
            namer: Vich\UploaderBundle\Naming\UniqidNamer # Replaced namer
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        events:
            uri_prefix: /storage/events
            upload_destination: '%kernel.project_dir%/public/storage/events'
            namer: Vich\UploaderBundle\Naming\UniqidNamer # Replaced namer
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        event_picture:
            uri_prefix: /event_picture/events
            upload_destination: '%kernel.project_dir%/public/storage/event_picture'
            namer: Vich\UploaderBundle\Naming\UniqidNamer # Replaced namer
            directory_namer: App\VichUploader\DirectoryNamer\EventName
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        epage_avatar:
            uri_prefix: /storage/epage/
            upload_destination: '%kernel.project_dir%/public/storage/epage'
            namer: App\VichUploader\Namer\Epage\AvatarNamer # Replaced namer
            directory_namer: App\VichUploader\DirectoryNamer\Epage\DirectoryNamer
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
        fiche:
            uri_prefix: /storage/fiche_candidat
            upload_destination: '%kernel.project_dir%/public/storage/fiche_candidat'
            namer: Vich\UploaderBundle\Naming\UniqidNamer # Replaced namer
            inject_on_load: true
            delete_on_update: true
            delete_on_remove: true
    #mappings:
    #    products:
    #        uri_prefix: /images/products
    #        upload_destination: '%kernel.project_dir%/public/images/products'
    #        namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
